#ifndef XML_OPERT_HEADER
#define XML_OPERT_HEADER

#include <string>
#include <tinyxml2.h>
#include <vector>
#include "../public_def.h"

class CXmlOpr
{
public:
    CXmlOpr();
    ~CXmlOpr();

public:
    bool open(const std::string& xml_path);
    void set_baseinfo(const OprBase& base);
    bool parse_xml(std::vector<tinyxml2::XMLElement*>& vec);

private:
    tinyxml2::XMLDocument doc_{};
    OprBase               opr_base_{};
};

#endif